Retrieves all unavailability types
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "7206e9e2-e87f-4b8d-9f42-2c153ca1ead6",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "655c3061-2c64-4da5-b367-d9bf7207dd4c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "c7b0176a-e349-4106-975a-4e67e41bae87",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad3096fb-217a-4b08-b2f3-585e75f25fdf",
"db_currency_id": "24959b35-634d-4139-b395-57b812a72931",
"db_language_id": "e74c1d54-f24f-43b0-a930-e90ed6b18193",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-27T05:10:36.0276801+00:00"
},
"modified_dateutc": "2026-10-27T05:10:36.0276801+00:00"
}